Delete a contact list
DELETE
/api/v2/flare/contact-lists/{id}
curl --request DELETE \ --url https://api.sipstack.com/api/v2/flare/contact-lists/example \ --header 'x-api-key: <x-api-key>'import requests
url = "https://api.sipstack.com/api/v2/flare/contact-lists/example"
headers = {"x-api-key": "<x-api-key>"}
response = requests.delete(url, headers=headers)
print(response.json())const url = 'https://api.sipstack.com/api/v2/flare/contact-lists/example';const options = {method: 'DELETE', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}import axios from 'axios';
const options = { method: 'DELETE', url: 'https://api.sipstack.com/api/v2/flare/contact-lists/example', headers: {'x-api-key': '<x-api-key>'}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}Soft-deletes the list. Requires contacts:write. 404 when the list isn’t your organization’s.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Responses
Section titled “ Responses ”List deleted.
Media type application/json
object
success
boolean
Example generated
{ "success": true}Missing or invalid API key.
Media type application/json
Inline error shape used by the messaging API and management endpoints.
object
success
boolean
error
string
Example
{ "success": false, "error": "Recipient phone number (to) is required"}List not found in your organization.
Media type application/json
Inline error shape used by the messaging API and management endpoints.
object
success
boolean
error
string
Example
{ "success": false, "error": "Recipient phone number (to) is required"}